com.opensymphony.xwork2.interceptor

## Interface Interceptor

- All Superinterfaces:
    Interceptor, Serializable
  All Known Subinterfaces:
    ConditionalInterceptor

  Deprecated.
  since 6.7.0, use `Interceptor` instead.

      @Deprecated
      public interface Interceptor
      extends Interceptor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Interceptor.LegacyAdapter` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Interceptor` | `adapt(Interceptor actualInterceptor)` Deprecated.
    `default String` | `intercept(ActionInvocation invocation)` Deprecated. Allows the Interceptor to do some processing on the request before and/or after the rest of the processing of the request by the `ActionInvocation` or to short-circuit the processing and just return a String return code.
    `String` | `intercept(ActionInvocation invocation)` Deprecated.

    - ### Methods inherited from interface org.apache.struts2.interceptor.Interceptor

      `destroy, init`

- - ### Method Detail

    - #### intercept

          default String intercept(ActionInvocation invocation)
                            throws Exception

      Deprecated.
      Description copied from interface: `Interceptor`
      Allows the Interceptor to do some processing on the request before and/or after the rest of the processing of the request by the `ActionInvocation` or to short-circuit the processing and just return a String return code.
      Specified by:
        `intercept` in interface `Interceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
      Throws:
        `Exception` - any system-level error, as defined in `Action.execute()`.

    - #### intercept

          String intercept(ActionInvocation invocation)
                    throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### adapt

          static Interceptor adapt(Interceptor actualInterceptor)

      Deprecated.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.